import sharedInterfaces.*;
import dataServerDomain.*;
import guiDomain.*;
import graphicsDomain.*;
import java.util.*;


public class EScope6
{
    public static void main(String args[])
    {
        new EScope6();
    }

    public EScope6()
    {
	// create domains
	GuiFacadeInterface gui = new GuiFacade();
	DataServerFacadeInterface data = new DataServerFacade();
	AbstractGraphicsFacade graph = new GraphicsFacade();
	// associate domains with each other
	gui.initialise(data,graph);
    }
}
